Lucene++ - a full-featured, c++ search engine
API Documentation

Data Structures | Namespaces
MultiPhraseQuery.h File Reference
`#include "Query.h"`

Go to the source code of this file.

## Data Structures

class | Lucene::MultiPhraseQuery
| MultiPhraseQuery is a generalized version of PhraseQuery, with an added method add(Term[]). To use this class, to search for the phrase "Microsoft app*" first use add(Term) on the term "Microsoft", then find all terms that have "app" as prefix using IndexReader.terms(Term), and use MultiPhraseQuery.add(Term[] terms) to add them to the query. More...

## Namespaces

| Lucene

clucene.sourceforge.net